defmodule DaProductApp.Repo.Migrations.CreateProviderCodes do
  use Ecto.Migration

  def change do
    execute """
    CREATE TABLE provider_codes (
      id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
      provider_name VARCHAR(255) NOT NULL,
      provider_code VARCHAR(255) NOT NULL,
      inserted_at DATETIME NOT NULL,
      updated_at DATETIME NOT NULL
    ) ENGINE=InnoDB
    """, "DROP TABLE IF EXISTS provider_codes"
  end
end

